//-------------------------------------------------------------------------------------------------+
// AislGlobalPlanningSVC_impl.h
// Service implementation header of AislGlobalPlanning.idl
//-------------------------------------------------------------------------------------------------+

#include "ExtendedDataTypesSkel.h"
#include "BasicDataTypeSkel.h"

#include "AislGlobalPlanningSkel.h"


#ifndef AISLGLOBALPLANNINGSVC_IMPL_H
#define AISLGLOBALPLANNINGSVC_IMPL_H


//-------------------------------------------------------------------------------------------------+
// AreaInfoServiceSVC_impl
//-------------------------------------------------------------------------------------------------+
class AreaInfoServiceSVC_impl
 : public virtual POA_TUT::AreaInfoService,
   public virtual PortableServer::RefCountServantBase
{
private:
	TUT::TimedAreaInfo *areainfo;
	CRITICAL_SECTION *c_section;

public:
	AreaInfoServiceSVC_impl( TUT::TimedAreaInfo *areainfo, CRITICAL_SECTION *cs );
	virtual ~AreaInfoServiceSVC_impl();
	TUT::TimedAreaInfo *getAreaInfo();
};


#endif // AISLGLOBALPLANNINGSVC_IMPL_H
