//-------------------------------------------------------------------------------------------------+
// GlobalMapFileStream.h
// n}ۑǂݏo肷NX`
//-------------------------------------------------------------------------------------------------+

#ifndef __GLOBALMAPFILESTREAM__
#define __GLOBALMAPFILESTREAM__

#include <iostream>
#include <fstream>

#include "MRFCStub.h"
#include "AislGlobalPlanningSVC_impl.h"
//#include "Simulator/Network.h"

using namespace std;

/*
//-------------------------------------------------------------------------------------------------+
// n}ۑNX
//-------------------------------------------------------------------------------------------------+
class GlobalMapFileOutStream{

protected:
	bool open;
	ofstream fout;

public:
	GlobalMapFileOutStream(){ open = false; }
	GlobalMapFileOutStream( const char *filename );

	bool CheckOpend(){ return open; }
	bool Write( MRFC::TimedFloatAbsoluteOGMapData *mapdata, SubAreas *subarea );

private:
	void Open( const char *filename );
	bool Write( MRFC::TimedFloatAbsoluteOGMapData *mapdata );
	bool Write( SubAreas *subarea );
};
*/

//-------------------------------------------------------------------------------------------------+
// n}ǂݍރNX
//-------------------------------------------------------------------------------------------------+
class GlobalMapFileInStream{

protected:
	bool read;
	ifstream fin;
	MRFC::TimedAbsoluteOGMapData mapdata;
	MRFC::TimedFloatAbsoluteOGMapData mapdata_f;
	TUT::TimedAreaInfo areainfo;

public:
	GlobalMapFileInStream(){ read = false; }
	GlobalMapFileInStream( const char *filename );

	bool CheckRead(){ return read; }

	MRFC::TimedAbsoluteOGMapData *GetOctMapData(){ return &mapdata; }
	MRFC::TimedFloatAbsoluteOGMapData *GetFloatMapData(){ return &mapdata_f; }
	TUT::TimedAreaInfo *GetAreaInfo(){ return &areainfo; }

private:
	void OpenAndRead( const char *filename );

	bool ReadMapData();
	bool ReadAreaInfo();
};


#endif // __GLOBALMAPFILESTREAM__
